//----------- JACKS HEAD ---------2/10/92 MILLER
//
//  Original file by Mike Miller
//
//  Modified for POV-Ray version 3.x by
//  Colin Fleming, cj_fleming@btinternet.com
//

// ----------- CTDS DECLARES--------------
#declare Dot = sphere { 0, 1 }

#declare Connector_1 =
object { 
  quadric { <0, 1, 1>, 0, 0, -1 }
  clipped_by {
    plane {  x, 1 }
    plane { -x, 0 }
  }
}

#declare Connector_2 = quadric { <1, -1, 1>, 0, 0, 0 rotate z*90 }

// --------------- SKULL -----------------
#declare HEAD =
object {
  union {
    difference {
      union {
        sphere { 0, 10 translate <0, 10, -3> }
        difference {         
          object { Connector_2 }
          plane { x, 9.701425 inverse }
          plane { x, 8.731283 }
          translate <-9.701425, 0, 0>
          scale <4, 1, 1>
          translate <-2.425356, 0, 0>
          rotate <0, 180, 0>
          rotate <0, 0, -75.963757>
          rotate <0, 90, 0>
          translate <0, 10, -3>
        }
        sphere { 0, 9 translate <0, 6, -4> }
        difference {
          object { Connector_2 }
          plane { x, 8.356290 inverse }
          plane { x, 6.499337 }
          translate <-8.356290, 0, 0>
          scale <2.500000, 1, 1>
          translate <-3.342516, 0, 0>
          rotate <0, 180, 0>
          rotate <0, 0, -68.198591>
          rotate <0, 90, 0>
          translate <0, 6, -4>
        }
        sphere { 0, 7 translate <0, 1, -6> }
        difference { 
          object { Connector_2 }
          plane { x, 6.347353 inverse }
          plane { x, 2.720294 }
          translate <-6.347353, 0, 0>
          scale <2.150581, 1, 1>
          translate <-2.951459, 0, 0>
          rotate <0, 180, 0>
          rotate <0, 0, -71.565051>
          rotate <0, 90, 0>
          translate <0, 1, -6>
        }
        sphere { 0, 3 translate <0, -8, -9> }

        //----------BROW
        sphere { 0, 1 scale <4, 2.2, 1.7> rotate z*15 translate <3, 7.8, -10.9> }
        sphere { 0, 1 scale <4, 2.2, 1.7> rotate z*-15 translate <-3, 7.8, -10.9> }
        //----------CHIN
        sphere { 0, 2 translate <0, -9, -10.8> }
        //---------BRIDGE
        sphere { 0, 1 scale <2.5, 6, 3> translate <0, 3, -10.5> }
      } 

      //--------REMOVALS
      //--------EYE SOCKET
      sphere { 0, 1 scale <4, 2.8, 3> rotate z*15 translate <5, 5.8, -11.9> }
      sphere { 0, 1 scale <4, 2.8, 3> rotate z*-15 translate <-5, 5.8, -11.9> }

      //--------MOUNTH
      object { Cylinder_X scale <1, 1.4, 2.2> rotate x*-35 translate <0, -4.2, -12> }
      sphere { 0, 4 translate <0, -4.5, -8> }
    }

    //--------ADD BACK
    //--------CHEEK
    sphere { 0, 1 scale <4, 4.5, 4> translate <-3, 1.5, -9> }
    sphere { 0, 1 scale <4, 4.5, 4> translate <3, 1.5, -9> }

    difference {
      //-------EYE LIDS & BALL SOCKET
      union {
        sphere { 0, 1 scale <3.2, 2, 2> translate <-3.7, 6.5, -9.5> }
        sphere { 0, 1 scale <3.2, 2, 2> translate <3.7, 6.5, -9.5> }
      }
      object { Cylinder_Z scale <1.1, 0.7, 5> translate <-4.3, 6.5, -9.5> }
      object { Cylinder_Z scale <1.1, 0.7, 5> translate <4.3, 6.5, -9.5> }
    }

    //------ RIGHT BROW 
    union {
      sphere { 0, 1.1 translate z*-12.9 }
      intersection {
        object { Connector_2 }
        plane { x, 1.242375 }
        plane { x, 1.093290 inverse }
        translate <-1.093290, 0, 0>
        scale <9.012337, 1, 1>
        translate <0.121310, 0, 0>
        rotate <0, 0, 47.325355>
        rotate <0, -12.528808, 0>
        translate <0, 0, -12.900000>
      }
      sphere { 0, 1.25 translate <0.9, 1, -12.7> }
      intersection {
        object { Connector_2 }
        plane { x, 1.240331 }
        plane { x, 1.091491 inverse }
        translate <-1.240331, 0, 0>
        scale <7.993053, 1, 1>
        translate <-0.155176, 0, 0>
        rotate <0, 180, 0>
        rotate <0, 0, 48.145813>
        rotate <0, -7.125016,  0>
        translate <0.9, 1, -12.7>
      }
      sphere { 0, 1.1 translate <1.7, 1.9, -12.6> }
      intersection {
        quadric { Connector_2 }
        plane { x, 1.090726 }
        plane { x, 0.941990 inverse }
        translate <-1.090726, 0, 0>
        scale <7.652160, 1, 1>
        translate <-0.142538, 0, 0>
        rotate <0, 180, 0>
        rotate <0, 0, 51.030566>
        rotate <0, -15.945396, 0>
        translate <1.7, 1.9, -12.6>
      }
      sphere { 0, 0.95 translate <2.4, 2.8, -12.4> }
      intersection {
        quadric { Connector_2 }
        plane { x, 0.945285 }
        plane { x, 0.845782 inverse }
        translate <-0.945285  0  0>
        scale <10  1  1>
        translate <-0.094529  0  0>
        rotate <0  180  0>
        rotate <0  0  44.148947>
        rotate <0 -33.690068  0>
        translate <2.400000  2.800000 -12.400000>
      }
      sphere { 0, 0.85 translate <3, 3.5, -12> }
      intersection {
        object { Connector_2 }
        plane { x, 0.848719 }
        plane { x, 0.798794 inverse }
        translate <-0.848719, 0, 0>
        scale <18.193405, 1, 1>
        translate <-0.046650, 0, 0>
        rotate <0, 180, 0>
        rotate <0, 0, 33.286187>
        rotate <0, -23.198591, 0>
        translate <3, 3.5, -12>
      }
      sphere { 0, 0.8 translate <3.7, 4, -11.7> }
      intersection {
        object { Connector_2 }
        plane { x, 0.796253 }
        plane { x, 0.696721 inverse }
        translate <-0.796253, 0, 0>
        scale <10.295630, 1, 1>
        translate <-0.077339, 0, 0>
        rotate <0, 180, 0>
        rotate <0, 0, 5.547656>
        rotate <0, -29.054604, 0>
        translate <3.7, 4, -11.7>
      }
      sphere { 0, 0.7 translate <4.6, 4.1, -11.2> }
      intersection {
        object { Connector_2 }
        plane { x, 0.692000 }
        plane { x, 0.543714 inverse }
        translate <-0.692000, 0, 0>
        scale <6.557439, 1, 1>
        translate <-0.105529, 0, 0>
        rotate <0, 180, 0>
        rotate <0, 0, -30.166790>
        rotate <0, -35.537678, 0>
        translate <4.6, 4.1, -11.2>
      }
      sphere { 0, 0.55 translate <5.3, 3.6, -10.7> }
      intersection {
        object { Connector_2 }
        plane { x, 0.549397 }
        plane { x, 0.499451 inverse }
        translate <-0.549397, 0, 0>
        scale <21.330729, 1, 1>
        translate <-0.025756, 0, 0>
        rotate <0, 180, 0>
        rotate <0, 0, -48.527066>
        rotate <0, -45, 0>
        translate <5.3, 3.6, -10.7,>
      }
      sphere { 0, 0.5 translate <5.8, 2.8, -10.2> }
      translate <1, 6.9, 0.5>
    }

    //--------LEFT BROW
    union {
      sphere { 0, 1.1 translate <0, 0, -12.9> }
      intersection {
        object { Connector_2 }
        plane { x, 1.242375 }
        plane { x, 1.093290 inverse }
        translate <-1.093290, 0, 0>
        scale <9.012337, 1, 1>
        translate <0.121310, 0,  0>
        rotate <0, 0, 47.325355>
        rotate <0, -167.471192, 0>
        translate <0, 0,-12.900000>
      }
      sphere { 0, 1.25 translate <-0.9, 1, -12.7> }
      intersection {
        object { Connector_2 }
        plane { x, 1.240331 }
        plane { x, 1.091491 inverse }
        translate <-1.240331, 0, 0>
        scale <7.993053, 1, 1>
        translate <-0.155176, 0, 0>
        rotate <0, 180, 0>
        rotate <0, 0, 48.145813>
        rotate <0, -172.874984, 0>
        translate <-0.9, 1, -12.7>
      }
      sphere { 0, 1.1 translate <-1.7, 1.9, -12.6> }
      intersection {
        object { Connector_2 }
        plane { x, 1.090726 }
        plane { x, 0.941990 inverse }
        translate <-1.090726, 0, 0>
        scale <7.652160, 1, 1>
        translate <-0.142538, 0, 0>
        rotate <0, 180, 0>
        rotate <0, 0, 51.030566>
        rotate <0, -164.054604, 0>
        translate <-1.7, 1.9, -12.600000>
      }
      sphere { 0, 0.95 translate <-2.4, 2.8, -12.4> }
      intersection {
        object { Connector_2 }
        plane { x, 0.945285 }
        plane { x, 0.845782 inverse }
        translate <-0.945285, 0, 0>
        scale <10, 1, 1>
        translate <-0.094529, 0, 0>
        rotate <0, 180, 0>
        rotate <0, 0, 44.148947>
        rotate <0, -146.309932, 0>
        translate <-2.4, 2.8, -12.4>
      }
      sphere { 0, 0.85 translate <-3, 3.5, -12> }
      intersection {
        object { Connector_2 }
        plane { x, 0.848719 }
        plane { x, 0.798794 inverse }
        translate <-0.848719, 0, 0>
        scale <18.193405, 1, 1>
        translate <-0.046650, 0, 0>
        rotate <0, 180, 0>
        rotate <0, 0, 33.286187>
        rotate <0, -156.801409, 0>
        translate <-3, 3.5, -12>
      }
      sphere { 0, 0.8 translate <-3.7, 4, -11.7> }
      intersection {
        object { Connector_2 }
        plane { x, 0.796253 }
        plane { x, 0.696721 inverse }
        translate <-0.796253, 0, 0>
        scale <10.295630, 1, 1>
        translate <-0.077339, 0, 0>
        rotate <0, 180, 0>
        rotate <0, 0, 5.547656>
        rotate <0, -150.945396, 0>
        translate <-3.7, 4, -11.7>
      }
      sphere { 0, 0.7 translate <-4.6, 4.1, -11.2> }
      intersection {
        object { Connector_2 }
        plane { x, 0.692000 }
        plane { x, 0.543714 inverse }
        translate <-0.692000, 0, 0>
        scale <6.557439, 1, 1>
        translate <-0.105529, 0, 0>
        rotate <0, 180, 0>
        rotate <0, 0, -30.166790>
        rotate <0, -144.462322, 0>
        translate <-4.6,4.1, -11.2>
      }
      sphere { 0, 0.55 translate <-5.3, 3.6, -10.7> }
      intersection {
        object { Connector_2 }
        plane { x, 0.549397 }
        plane { x, 0.499451 inverse }
        translate <-0.549397, 0, 0>
        scale <21.330729, 1, 1>
        translate <-0.025756, 0, 0>
        rotate <0, 180, 0>
        rotate <0, 0, -48.527066>
        rotate <0, -135, 0>
        translate <-5.3, 3.6, -10.7>
      }
      sphere { 0, 0.5 translate <-5.8, 2.8, -10.2> }
      translate <-1, 6.9, 0.5> 
    }
  
    //-------JAGGER LIPS
    union {
      sphere { 0, 0.3 translate <4.5, -2.8, -7> }
      object { Connector_1
        scale <2.507987, 0.3, 0.3>
        rotate <0, 0, -18.601305>
        rotate <0, 104.620874, 0>
        translate <4.5, -2.8, -7>
      }
      sphere { 0, 0.3 translate <3.9, -3.6, -9.3> }
      intersection {
        object { Connector_2 }
        plane { x, 0.398968 }
        plane { x, 0.299226 inverse }
        translate <-0.299226, 0, 0>
        scale <13.892444, 1, 1>
        translate <0.021539, 0, 0>
        rotate <0, 0, -35.055282>
        rotate <0, 127.874984, 0>
        translate <3.9, -3.6, -9.3>
      }
      sphere { 0, 0.4 translate <3.2, -4.4, -10.2> }
      intersection {
        object { Connector_2 }
        plane { x, 0.447436 }
        plane { x, 0.397721 inverse }
        translate <-0.397721, 0, 0>
        scale <9.327379, 1, 1>
        translate <0.042640, 0, 0>
        rotate <0, 0, -25.239402>
        rotate <0, 135, 0>
        translate <3.2, -4.4, -10.2>
      }
      sphere { 0, 0.45 translate <2.9, -4.6, -10.5> }
      intersection {
        object { Connector_2 }
        plane { x, 0.498473 }
        plane { x, 0.448626 inverse }
        translate <-0.448626, 0, 0>
        scale <12.767145, 1, 1>
        translate <0.035139, 0, 0>
        rotate <0, 0, -38.659808>
        rotate <0, 143.130102, 0>
        translate <2.9, -4.6, -10.5>
      }
      sphere { 0, 0.5 translate <2.5, -5, -10.8> }
      intersection {
        object { Connector_2 }
        plane { x, 0.593970 }
        plane { x, 0.494975 inverse }
        translate <-0.494975, 0, 0>
        scale <7, 1, 1>
        translate <0.070711, 0, 0>
        rotate <0, 0, -34.449902>
        rotate <0, 149.036243, 0>
        translate <2.5, -5, -10.8>
      }
      sphere { 0, 0.6 translate <2, -5.4, -11.1> }
      intersection {
        object { Connector_2 }
        plane { x, 0.697323 }
        plane { x, 0.597706 inverse }
        translate <-0.597706, 0, 0>
        scale <11.401754, 1, 1>
        translate <0.052422, 0, 0>
        rotate <0, 0, -25.903200>
        rotate <0, 150.945396, 0>
        translate <2, -5.4, -11.1>
      }
      sphere { 0, 0.7 translate <1.1, -5.9, -11.6> }
      intersection {
        object { Connector_2 }
        plane { x, 0.842669 }
        plane { x, 0.693963 inverse }
        translate <-0.693963, 0, 0>
        scale <7.564537, 1, 1>
        translate <0.091739, 0, 0>
        rotate <0, 0, -15.195371>
        rotate <0, 174.805571, 0>
        translate <1.1, -5.9, -11.6>
      }
      sphere { 0, 0.85 translate <0, -6.2, -11.7> }
      intersection {
        object { Connector_2 }
        plane { x, 0.842669 }
        plane { x, 0.693963 inverse }
        translate <-0.842669, 0, 0>
        scale <7.564537, 1, 1>
        translate <-0.111397, 0, 0>
        rotate <0, 180, 0>
        rotate <0, 0, 15.195371>
        rotate <0, -174.805571, 0>
        translate <0, -6.2, -11.7>
        }
      sphere { 0, 0.7 translate <-1.1, -5.9, -11.6> }
      intersection {
        object { Connector_2 }
        plane { x, 0.697323 }
        plane { x, 0.597706 inverse }
        translate <-0.697323, 0, 0>
        scale <11.401754, 1, 1>
        translate <-0.061159, 0, 0>
        rotate <0, 180, 0>
        rotate <0, 0, 25.903200>
        rotate <0, -150.945396, 0>
        translate <-1.1, -5.9, -11.6>
      }
      sphere { 0, 0.6 translate <-2, -5.4, -11.1> }
      intersection {
        object { Connector_2 }
        plane { x, 0.593970 }
        plane { x, 0.494975 inverse }
        translate <-0.593970, 0, 0>
        scale <7, 1, 1>
        translate <-0.084853, 0, 0>
        rotate <0, 180, 0>
        rotate <0, 0, 34.449902>
        rotate <0, -149.036243,  0>
        translate <-2, -5.4, -11.1>
      }
      sphere { 0, 0.5 translate <-2.5, -5, -10.8> }
        intersection {
        object { Connector_2 }
        plane { x, 0.498473 }
        plane { x, 0.448626 inverse }
        translate <-0.498473, 0, 0>
        scale <12.767145, 1, 1>
        translate <-0.039043, 0, 0>
        rotate <0, 180, 0>
        rotate <0, 0, 38.659808>
        rotate <0, -143.130102, 0>
        translate <-2.5, -5, -10.8>
      }
      sphere { 0, 0.45 translate <-2.9, -4.6, -10.5> }
      intersection {
        object { Connector_2 }
        plane { x, 0.447436 }
        plane { x, 0.397721 inverse }
        translate <-0.447436, 0, 0>
        scale <9.327379, 1, 1>
        translate <-0.047970, 0, 0>
        rotate <0, 180, 0>
        rotate <0, 0, 25.239402>
        rotate <0, -135, 0>
        translate <-2.9, -4.6, -10.5>
      }
      sphere { 0, 0.4 translate <-3.2, -4.4, -10.2> }
        intersection {
        object { Connector_2 }
        plane { x, 0.398968 }
        plane { x, 0.299226 inverse }
        translate <-0.398968, 0, 0>
        scale <13.892444, 1, 1>
        translate <-0.028718, 0, 0>
        rotate <0, 180, 0>
        rotate <0, 0, 35.055282>
        rotate <0, -127.874984, 0>
        translate <-3.2, -4.4, -10.2>
      }
      sphere { 0, 0.3 translate <-3.9, -3.6, -9.3> }
      object { Connector_1
        scale <2.507987, 0.3, 0.3>
        rotate <0, 0, 18.601305>
        rotate <0, -104.620874  0>
        translate <-3.9, -3.6, -9.3>
      }
      sphere { 0, 0.3 translate <-4.5, -2.8, -7> }
      scale <1.075, 1, 1.1>
      translate z*0.5
    }
  
    //-------NOSE
    union {
      sphere { 0, 1.4 translate <0, 0.2, -14.3> }
      intersection {
        object { Connector_2 }
        plane { x, 1.369377 }
        plane { x, 1.222658 inverse }
        translate <-1.369377, 0, 0>
        scale <4.702245, 1, 1>
        translate <-0.291218, 0, 0>
        rotate <0, 180, 0>
        rotate <0, 0, 56.309932>
        rotate <0, -90, 0>
        translate <0, 0.2, -14.3>
      }
      sphere { 0, 1.25 translate <0, 0.8, -13.9> }
      intersection {
        object { Connector_2 }
        plane { x, 1.248059 }
        plane { x, 1.098292 inverse }
        translate <-1.248059, 0, 0>
        scale <17.922673, 1, 1>
        translate <-0.069636, 0, 0>
        rotate <0, 180, 0>
        rotate <0, 0, 68.198591>
        rotate <0, -90, 0>
        translate <0, 0.8, -13.9>
      }
      sphere { 0, 1.1 translate <0, 3.3, -12.9> }
      intersection {
        object { Connector_2 }
        plane { x, 1.098574 }
        plane { x, 0.998704 inverse }
        translate <-1.098574, 0, 0>
        scale <19.621417, 1, 1>
        translate <-0.055989, 0, 0>
        rotate <0, 180, 0>
        rotate <0, 0, 75.256437>
        rotate <0, -90, 0>
        translate <0, 3.3, -12.9>
      }
      sphere { 0, 1 translate <0, 5.2, -12.4,> }

      //-------- NOSTRILS
      sphere { 0, 1 scale <1, 1.2, 1> rotate z*26 translate <-1.7, 0.2, -13.3> }
      sphere { 0, 1 scale <1, 1.2, 1> rotate z*-26 translate <1.7, 0.2, -13.3> }
    }
  }
  texture {
    pigment {
      image_map { gif "jackmap.gif" }
      //IMAGEMAP <1 -1 0> gif "jackmap.gif" END_MAP
      scale <31.2, 31.2, 1>
      translate <-15.6, -15.6, -1>
      translate y*4.5
    }
    finish { ambient 0.5 diffuse 0.7 phong 0.5 phong_size 70 }
  }
  bounded_by { sphere { 0, 23.080349 translate <0, 4.5, -3> } }
}

#declare  EYES = 
object {
  union {
    sphere { 0, 1 scale <3.1, 1.8, 1.8> translate <-3.7, 6.5, -9.5> }
    sphere { 0, 1 scale <3.1, 1.8, 1.8> translate < 3.7, 6.5, -9.5> }
  }
  texture { pigment { color Black } finish { ambient 0.2 diffuse 0.3 phong 1 } }
}

// ----------- COMPOSITE HEAD PARTS --------------------
#declare JHEAD = 
union {
  object { HEAD }
  object { EYES }
}